Project1PPW/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.views.generic.base import RedirectView
import halaman_profile.urls as halaman_profile
import update_status.urls as update_status
import add_friend.urls as add_friend
import dashboard_navigation_footer.urls as dashboard_navigation_footer		


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^update_status/', include(update_status, namespace = 'update_status')),
    url(r'^halaman_profile/', include(halaman_profile, namespace='halaman_profile')),
    url(r'^dashboard_navigation_footer/', include(dashboard_navigation_footer, namespace = 'dashboard_navigation_footer')),
    url(r'^$', RedirectView.as_view(url = 'update_status/', permanent=True), name='index'),
    url(r'^add_friend/', include(add_friend, namespace = 'add_friend')),
    ]

add_friend/urls.py
from django.conf.urls import url
from .views import index, message_post, message_table, remove_contact
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_message', message_post, name='add_message'),
    url(r'^result_table', message_table, name='result_table'),
    url(r'^remove_contact', remove_contact, name='remove_contact')
    # url(r'^add_friend', add_friend, name='add_friend'),
    # url(r'^friend_table', friende_table, name='friend_table'),
]

dashboard_navigation_footer/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index, name='index'),
    
]

halaman_profile/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
	url(r'^$', index, name='index'),
]

update_status/urls.py
from django.conf.urls import url
from .views import index, add_status

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_status', add_status, name='add_status'),
]

add_friend/models.py
from django.db import models

class Message(models.Model):
    name = models.CharField(max_length=30)
    link = models.URLField()
    created_date = models.DateTimeField(auto_now_add=True)

    #def __str__(self):
    #	return self.name + " : " + self.heroku

dashboard_navigation_footer/models.py
from django.db import models

# Create your models here.

halaman_profile/models.py
from django.db import models

# Create your models here.


class Database(models.Model):
    name = models.CharField(max_length=30)
    birthday = models.CharField(max_length=30)
    sex = models.CharField(max_length=7)
    description = models.TextField(max_length=200)
    email = models.TextField(max_length=40)
    expertise = models.TextField(max_length=None)

update_status/models.py
# Create your models here.
from django.db import models

class Status(models.Model):
    status = models.TextField()
    created_date = models.DateTimeField(auto_now_add=True)

    class Meta:
    	ordering = ('status', 'created_date')

add_friend/forms.py
from django import forms

class Message_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
        'invalid': 'Isi input dengan alamat heroku',
    }
    attrs = {
        'class': 'form-control'
    }

    name = forms.CharField(label='Nama', required=True, max_length=27, empty_value='Anonymous', widget=forms.TextInput(attrs=attrs))
    heroku = forms.URLField(required=True, widget=forms.URLInput(attrs=attrs), empty_value='unknown.herokuapp.com')

update_status/forms.py
from django import forms

class Status_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
    }
    status_attrs = {
        'type': 'text',
        'cols': 50,
        'rows': 4,
        'class': 'status-form-textarea',
        'placeholder':"What's on your mind?"
    }


    status = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=status_attrs))

add_friend/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Message_Form
from .models import Message
#from .forms import Add_Friend_Form
#from .models import Friend

# Create your views here.
response = {}
def index(request):
    response['author'] = "Luqman Iffan Windrawan"
    message = Message.objects.all()#.values()
    #response["Add_Friend_Form"] = Add_Friend_Form
    response["message"] = message
    html = 'addfriend.html'
    return render(request, html, response)

def message_post(request):
    form = Message_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['name'] = request.POST['name'] if request.POST['name'] != "" else "Anonymous"
        response['link'] = request.POST['link'] if request.POST['link'] != "" else "Anonymous"
        message = Message(name=response['name'], link=response['link'])
        message.save()
        html ='addfriend.html'
        #render(request, html, response)
        return HttpResponseRedirect('/add_friend/')
    # else:        
    #     return HttpResponseRedirect('/add_friend/')

def message_table(request):
    message = Message.objects.all()
    response['message'] = message
    html = 'addfriend.html'
    return render(request, html, response)

def remove_contact(request):
    try:
        idObj = request.POST['flag']
        Message.objects.filter(id=idObj).delete()
    except ValueError:
        pass
    except KeyError:
        pass
    return HttpResponseRedirect('/add_friend/')

dashboard_navigation_footer/views.py
from django.shortcuts import render, HttpResponse
from update_status.models import Status
from add_friend.models import Message

# Create your views here.
response = {}

def index(request):
    jumlahstatus= Status.objects.count();
    latest_post=Status.objects.last();
    jumlahteman= Message.objects.count();
    response={'name':'Audrey Hepburn' , 'jumlahstatus':jumlahstatus , 'latest_post':latest_post, 'jumlahteman':jumlahteman}
    return render(request, 'dashboard_navigation_footer/index.html', response)

# Create your views here.

halaman_profile/views.py
from django.shortcuts import render
from .models import Database

# Create your views here.

expertise = ['Marketing', 'Collector', 'Public Speaking']
profile_name = 'Audrey Hepburn'
birthdate = '01 Jan'
gender = 'Female'
email = 'hello@smith.com'
desc_profile = 'Experience as marketer for 10 years'
response = {}

def index(request):
    response['name'] = profile_name
    response['birthday'] = birthdate
    response['gender'] = gender
    response['expertise'] = expertise
    response['description'] = desc_profile
    response['email'] = email
    return render(request, 'halaman-profile.html', response)

update_status/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Status_Form
from .models import Status

# Create your views here.
response = {}
def index(request):    
    response['author'] = "Nikmah Salsabila" #TODO Implement yourname
    status = Status.objects.all().order_by('-created_date')
    response['status'] = status
    html = 'update_status/update_status.html'
    response['status_form'] = Status_Form
    return render(request, html, response)

def add_status(request):
    form = Status_Form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['status'] = request.POST['status']
        status = Status(status=response['status'])
        status.save()
        return HttpResponseRedirect('/update_status/')
    else:
        return HttpResponseRedirect('/update_status/')

add_friend/templates/addfriend.html
{% extends "layout/base.html" %}
{% block content %}
<section name="contact-add" id="contact-add">
    <div class = "container">
    <h2>Add Friends</h2>
    <form id="form" method="POST" action="{% url 'add_friend:add_message' %}">
        <label for="id_name">Nama: </label>
        <input id="id_name" class="form-control" name="name" placeholder="Boboi" type="text">
        <label for="id_email">Link: </label>
        <input id="id_email" class="form-control" name="link" placeholder="boboi.herokuapp.com" type="link">
        {% csrf_token %}
        {{ message_form }}
        <br/>
        <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
        </form>
    </div>
</section>
<section name = "my-contact" id="my-contact">
        <div class="container">
            <h1>List Friends</h1>
            <div class="flex">
                {% if message %}
                    {% for i in message %}
                    <div class="flex-item">
                        <div class="all-contact">
                            <div class="all-contact-name">
                                {{i.name}}
                            </div>
                            <div class="all-contact-pic">
                                <img src="http://www.rutlandherald.com/wp-content/uploads/2017/03/default-user.png" width="150px">
                            </div>
                            <div class="all-contact-heroku">
                                <a href="{{i.link}}"><center>{{i.link}}</center></a>
                            </div>
                            <div class="all-contact-date-added">
                                Added {{i.created_date}}
                            </div>
                            <form id="form-{{i.id}}" method="post" action="{% url 'add_friend:remove_contact' %}">
                                {% csrf_token %}
                                <input type="hidden" name="flag" value="{{i.id}}"/>
                                <input id = "submit{{i.id}}" id="delete-{{i.id}}" type="submit" data-id="{{i.id}}" value="Delete" class="all-contact-delete">
                            </form>
                        </div>
                    </div>
                    {% endfor %}
                {% else %}
                <div class="alert alert-danger text-center">
                    <strong>Oops!</strong> Tidak ada data Data di dalam Kontak.
                 </div>
                {% endif %}
            </div>
        </div>
</section>
{% endblock %}

add_friend/templates/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Tugas 1 PPW">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet"> 
    <link rel="shortcut icon" href="http://aux.iconpedia.net/uploads/1755550516208937900.png" />    
    <title>Friends</title>
    <link rel="stylesheet" type="text/css" href="{% static 'addfriend.css' %}" />
    <style>
    body{
        background: #58abe2; /* Old browsers */
        background: -moz-linear-gradient(top, #58abe2 0%, #bddaed 73%, #dbedf9 83%, #ebf1f6 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(top, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to bottom, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#58abe2', endColorstr='#ebf1f6',GradientType=0 ); /* IE6-9 */
        background-repeat: no-repeat;
        background-size: cover;
    }
    </style>
</head>
<body>
    <div class="background">
        <header>
            <!-- TODO nama apps kalian -->
            {% include "dashboard_navigation_footer/partials/header.html" %}
        </header>
        <content>
            <div class="container">
                {% block content %}
                    <!-- content goes here -->
                {% endblock %}
            </div>

        </content>
        <footer>
            <!-- TODO nama apps kalian -->
            {% block footer %}
            {% include "dashboard_navigation_footer/partials/footer.html" %}
            {% endblock %}
        </footer>

        <!-- Jquery n Bootstrap Script -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </div>
</body>
</html>

dashboard_navigation_footer/templates/dashboard_navigation_footer/index.html
{% extends "layout/base.html" %}
{% load staticfiles %}
{% load static %}
{% block content %}
<head>
    <link href="https://fonts.googleapis.com/css?family=Patrick+Hand+SC|Quicksand:700|Varela+Round" rel="stylesheet">
</head>
<style>
	.img-circle {
     border-radius: 50%;
     width: 250px;
     height:250px;
     margin-top: +100px;
     margin-left: +430px;
     float: center  ;
    }
    img:hover {
	  animation: shake 0.5s;
	  animation-iteration-count: infinite;
	}

	@keyframes shake {
	  0% { transform: translate(1px, 1px) rotate(0deg); }
	  10% { transform: translate(-1px, -2px) rotate(-1deg); }
	  20% { transform: translate(-3px, 0px) rotate(1deg); }
	  30% { transform: translate(3px, 2px) rotate(0deg); }
	  40% { transform: translate(1px, -1px) rotate(1deg); }
	  50% { transform: translate(-1px, 2px) rotate(-1deg); }
	  60% { transform: translate(-3px, 1px) rotate(0deg); }
	  70% { transform: translate(3px, 1px) rotate(-1deg); }
	  80% { transform: translate(-1px, -1px) rotate(1deg); }
	  90% { transform: translate(1px, 2px) rotate(0deg); }
	  100% { transform: translate(1px, -2px) rotate(-1deg); }
	}
    #user-name{
    	font-family: 'Patrick Hand SC', cursive;
    }
</style>
<body style="background-image:url(https://i.imgur.com/RnuqVt9.jpg); background-repeat:no-repeat; background-size:cover;">
	<img class= "responsive-img img-circle grow" src="http://www.inspiredbythis.com/wp-content/uploads/2010/09/AudreyHepburn.jpg">
  	<h2 id = "user-name" style="text-align:center; font-size:100px; color:black"><b>{{ name }}</b></h2>
  <div class="container">
    <div class="row">
      <div class="col">
          <h2 id = "user-name" style="text-align:right ;font-size: 50px;color:black">Friends: {{jumlahteman}} </h2>
      </div>
      <div class="col">
          <h2 id = "user-name" style="text-align:right ;font-size: 50px;color:black">Feeds: {{jumlahstatus}} </h2>
      </div>
    </div>
  </div>



  <h2 id = "user-name" style="text-align:left; font-size: 50px;color:black">Latest Post: </h2>
  <img src="http://www.inspiredbythis.com/wp-content/uploads/2010/09/AudreyHepburn.jpg" style = "border-radius:50%; width: 75px; height: 75px; display:black;
    margin:0 auto">
  <h2 id = "user-name" style="text-align:left; font-size:30px; color:black"><b>{{ name }}</b></h2>
  <h2 id = "user-name" style="text-align:left; font-size:30px; color:black">{{ latest_post.status }}</h2>
  <h2 id = "user-name" style="text-align:left; font-size:30px; color:black">{{ latest_post.created_date }}</h2>

</body>
{% endblock %}

dashboard_navigation_footer/templates/dashboard_navigation_footer/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}" />
</head>

<body style="background-color: #bbdefb" class="">
    <header>
        {% include "dashboard_navigation_footer/partials/header.html" %}
    </header>
    <content>
        <div class="container">
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
        </div>

    </content>
    <br>
    <footer>
      {% include "dashboard_navigation_footer/partials/footer.html" %}
    </footer>

</body>
</html>

dashboard_navigation_footer/templates/dashboard_navigation_footer/partials/footer.html
{% load staticfiles %}
<link rel="stylesheet" href="{% static 'css/footer.css' %}">
  <div class="footer-copyright">
      <p>© 2017 kenalan-yuk </p>
  </div>

dashboard_navigation_footer/templates/dashboard_navigation_footer/partials/header.html
{% load static %}
{% block header %}

  <nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
      <a class="navbar-brand" href="">KenalanYuk</a>
    </div>
       <div id="navbar" class="navbar-collapse collapse mr-auto">
          <ul class="nav navbar-nav">
            <li class="nav-item item1"><a href="{% url 'update_status:add_status' %}">Status </a></li>
            <li class="nav-item item2"><a href="{% url 'halaman_profile:index' %}">Profile</a></li>
            <li class="nav-item item3"><a href="{% url 'add_friend:index' %}">Friends</a></li>
              <!--<a href="{url 'add_friend:index.html'}">Friends</a>-->
            <li class="nav-item item4"><a href="/dashboard_navigation_footer/">Stats</a></li>
              <!--<a href="{url 'update_status:update_status.html'}">Stats</a>-->
          </ul>
        </div>
    </div>
  </nav>

{% endblock %}

halaman_profile/templates/halaman-profile.html
{% load staticfiles %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Halaman Profile</title>
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="{% static 'css/halaman-profile.css' %}">
  </head>
  <body style="background-color: rgb(255, 102, 0);">
    <header>
            {% include "dashboard_navigation_footer/partials/header.html" %}
    </header>
    <content>
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
    </content>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script type="application/javascript">
      $(function() {
          $('a[href*="#"]:not([href="#"])').click(function() {
            if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
              var target = $(this.hash);
              target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
              if (target.length) {
                $('html, body').animate({
                  scrollTop: target.offset().top - 55
                }, 1000);
                return false;
              }
            }
          });
        });
    </script>
      <div class="halaman-profile">
          <h1 align="center">Profile</h1>
      </div>
      <br>
      <div class="foto-profile">
          <center><img id="image" src="http://www.inspiredbythis.com/wp-content/uploads/2010/09/AudreyHepburn.jpg" alt="foto-profile" class = "img-circle" width = "200" height="200"></center>
          <h3 align="center">{{ name }}</h3>
      </div>
      <br>
      <div class="info-profile">
          <table align="center" style="width: 547px; height: 122px;  text-align: left;">
              <tr>
                <td class="subject" align ='left'>Birthday</td>
                <td class="value" align =' center'>{{ birthday }}</td>
            </tr>
            <tr>
                <td class="subject" align ='left'>Gender</td>
                <td class="value" align =' center'>{{ gender }}</td>
            </tr>
            <tr>
                <td class="subject" align ='left'>Expertise</td>
                <td class="value" align =' center'>
                    {% for data in expertise %}
                        <span>
                            <li class="w3-tag w3-small w3-padding-small w3-blue">
                                <a>{{ data }}</a>
                            </li>
                        </span>
                    {% endfor %}
                </td>
            </tr>
            <tr>
                <td class="subject" align ='left'>Description</td>
                <td class="value" align =' center'>{{ description }}</td>
            </tr>
            <tr>
                <td class="subject" align ='left'>Email</td>
                <td class="value" align =' center'>{{ email }}</td>
            </tr>
          </table>
      </div>
      <footer>
        {% block footer %}{% include "dashboard_navigation_footer/partials/footer.html" %}{% endblock %}
    </footer>
  </body>
</html>

update_status/templates/update_status/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Update Status">
    <meta name="author" content="{{author}}">
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/update_status.css' %}" />
    <!-- bootstrap csss -->

    <title>
            {% block title %} KenalanYuk {% endblock %}
    </title>
</head>

<body>
    <header>
            {% include "dashboard_navigation_footer/partials/header.html" %}
    </header>
    <content>
            {% block content %}
                <!-- content goes here -->
            {% endblock %}
    </content>
    <footer>
        <!-- TODO Block Footer dan include footer.html -->
        {% block footer %}
        {% include "dashboard_navigation_footer/partials/footer.html" %}{% endblock %}
    </footer>

    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script type="application/javascript">
      $(function() {
          $('a[href*="#"]:not([href="#"])').click(function() {
            if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
              var target = $(this.hash);
              target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
              if (target.length) {
                $('html, body').animate({
                  scrollTop: target.offset().top - 55
                }, 1000);
                return false;
              }
            }
          });
        });
    </script>
</body>
</html>

update_status/templates/update_status/update_status.html
{% extends "update_status/layout/base.html" %}

{% block content %}

<section name="input-list" id="input-list">
    <div class="container">
        <form id="form" method="POST" action="{% url 'update_status:add_status' %}">
            <h2 align = "left">Update Status</h2>
            {% csrf_token %}
            {{ status_form }}
            <input id="submit" type="submit" class="btn btn-info" value="Post">
            <br>
        </form>
    </div>
</section>
<section name="my-list" id="my-list">
    {% if status %}
        {% for data in status %}
            <div class="container">
                <!--<h2 class="my-list-title">My List</h2>-->
                <div class="row">
                    <div class= "col-sm-8 col-sm-offset-2">
                            <!--<div class="flex-item">-->
                        <div class="status-list">
                            <div class="media">
                                <div class="media-left">
                                    <img src="http://www.inspiredbythis.com/wp-content/uploads/2010/09/AudreyHepburn.jpg" class="media-object img-circle" style="width:50px">
                                </div>
                                <div class="media-body">
                                    <h4 align = "left" class="media-heading">Audrey Hepburn</h4>
                                    <p align = "left">{{data.created_date}}</p>
                                </div>
                            <div class="status-list-description">
                                {{data.status}}
                            </div>

                        </div>
                            
                            <!--<div class="to-do-list-delete">
                                <div class="to-do-list-delete-button" data-id="{{data.id}}">Delete</div>
                            </div>-->
                        </div>
                        </div> 
                    </div>  
                </div>
            </div>
        {% endfor %}
    {% else %}
        <div class="alert alert-danger text-center">
            <strong>Oops!</strong> Tidak ada data Status.
                </div>
    {% endif %}

</section>

{% endblock %}